Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 889978 - [fork][model refactor] the app name is case-sensitive
Summary: [fork][model refactor] the app name is case-sensitive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-24 08:46 UTC by chunchen
Modified: 2016-09-30 02:14 UTC (History)
4 users (show)

Fixed In Version: fork_ami_refctr1_380+
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 23:38:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description chunchen 2012-12-24 08:46:49 UTC
Description of problem:
when creating apps,the app name is case-sensitive

Version-Release number of selected component (if applicable):
fork_ami_refctr1_372

How reproducible:
always

Steps to Reproduce:
1.Create two apps
  one app named 'testapp' of diy-0.1, another app named 'testAPP' of python-2.6
  
Actual results:
Two apps created successfully

Expected results:
app name should be case-insensitive, so the app named 'testAPP' shouldn't be created successfully.

Additional info:
the bug is regression bug of fork , does not exist on stage

Comment 1 Abhishek Gupta 2013-01-04 18:32:56 UTC
Should be available in the next "qe-ready" form AMI - fork_ami_refctr1_380+

Comment 2 chunchen 2013-01-05 09:43:52 UTC
Verified on fork_ami_refctr1_381, it is ok

The Verified Results:

1. Create an app:
[root@fedora17_ccy 105]# rhc app create jbossas0 jbossas-7 -predhat
jbossas0 created Successfully.

2. Create another app with name "jbossAS0"
[root@fedora17_ccy 105]# rhc app create jbossAS0 jbossas-7 -predhat
Application Options
===================
  Namespace: dccy
  Cartridge: jbossas-7
  Gear Size: default
  Scaling:   no

Creating application 'jbossAS0' ... The supplied application name 'jbossAS0' already exists

so, the "jbossAS0" app created Failed.

Comment 3 Xiaoli Tian 2013-01-06 03:12:20 UTC
According to comment 2, move it to verified status.


Note You need to log in before you can comment on or make changes to this bug.